﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Text;
using System.Net;
using System.Threading;

namespace SocketServices
{
    public interface INetworkMsg
    {
        void GetMsg(String d);
    }

    public interface INetworkServerMsg : INetworkMsg
    {
        int Port { get; }
    }

    public class NetworkMsg : INetworkServerMsg
    {
        //public void HookServerUI(MaskedTextBox openPort)
        //{
        //    this.openPort = openPort;
        //}

        //public void HookClientUI(TextBox serverIP, MaskedTextBox serverPort, TextBox nick)
        //{
        //    this.serverIP = serverIP;
        //    this.serverPort = serverPort;
        //    this.nick = nick;
        //}

        //public void SetServerUI(bool isStart)
        //{
        //    if (isStart)
        //    {
        //        openPort.ReadOnly = true;
        //        openPort.BackColor = Color.Khaki;
        //        whisperList.SelectedIndex = 0;
        //    }
        //    else
        //    {
        //        openPort.ReadOnly = false;
        //        openPort.BackColor = SystemColors.Control;
        //        chatBox.Text = "";
        //        clientList.Items.Clear();
        //        whisperList.Items.Clear();
        //        whisperList.Items.Add("모두에게");
        //    }
        //}

        //public void SetClientUI(bool isStart)
        //{
        //    if (isStart)
        //    {
        //        serverIP.ReadOnly = true;
        //        serverPort.ReadOnly = true;
        //        nick.ReadOnly = true;
        //        serverIP.BackColor = Color.Khaki;
        //        serverPort.BackColor = Color.Khaki;
        //        nick.BackColor = Color.Khaki;
        //        whisperList.SelectedIndex = 0;
        //    }
        //    else
        //    {
        //        serverIP.ReadOnly = false;
        //        serverPort.ReadOnly = false;
        //        nick.ReadOnly = false;
        //        serverIP.BackColor = SystemColors.Control;
        //        serverPort.BackColor = SystemColors.Control;
        //        nick.BackColor = SystemColors.Control;
        //        chatBox.Clear();
        //        clientList.Items.Clear();
        //        whisperList.Items.Clear();
        //        whisperList.Items.Add("모두에게");
        //    }
        //}

        public void GetMsg(String d)
        {
            dString o = null;

            //switch (d.code)
            //{
                //case ChatCode.Sys:
                //    o = new dString(WriteSystemMsg); break;
                //case NetworkMsgCode.StartInfo:
                //    o = new dString(WriteStartInfo); break;
                //case ChatCode.UserList:
                //    o = new dString(WriteUserList); break;
                //case NetworkMsgCode.LogIn:
                //    o = new dString(WriteLogIn); break;
                //case NetworkMsgCode.LogOut:
                //    o = new dString(WriteLogOut); break;
                //case NetworkMsgCode.Msg:
                //    o = new dString(WriteMsg); break;
                //case ChatCode.Msg:
                //    o = new dString(WriteChat); break;
                //case ChatCode.Whisper:
                //    o = new dString(WriteWhisper); break;
                //case ChatCode.Nick:
                //    o = new dString(ChangeNick); break;
                //case ChatCode.File:
                //    o = new dString(ReceiveFile); break;
            //}

            if (o != null) o(d);
        }

        public void WriteStartInfo(String d)
        {
            Console.WriteLine("{0} startInfo", d);
        }

        public void WriteLogIn(String d)
        {
            Console.WriteLine("{0} login", d);
        }

        public void WriteLogOut(String d)
        {
            Console.WriteLine("{0} logout", d);
        }

        public void WriteMsg(String d)
        {
            Console.WriteLine(d);
        }

        // IChatServerUI 구현
        public int Port
        {
            get
            {
                return 4530;
            }
        }
    }
}
